let doc = $(document);

doc.ready(function() {
    let privateKey = ``;

    let publicKey = ``;

    let dummyData = ``;

    resetInputs();

    doc.on('click', '#btn-encrypt', function() {
        let simpleText = $('#txt-simple-data')
            .val()
            .trim();
        if (simpleText.length <= 0) {
            return;
        }

        let pubKey = $('#txt-public')
            .val()
            .trim();

        let encrypter = new JSEncrypt();
        encrypter.setPublicKey(pubKey);
        let encryptedData = encrypter.encrypt(simpleText);
        if (encryptedData) {
            $('#txt-simple-data').val('');
            $('#txt-encrypted-data').val(encryptedData);
        } else {
            alert('Invalid public-key');
        }
    });

    doc.on('click', '#btn-decrypt', function() {
        let encryptedText = $('#txt-encrypted-data')
            .val()
            .trim();
        if (encryptedText.length <= 0) {
            return;
        }

        let priKey = $('#txt-private')
            .val()
            .trim();

        let decrypter = new JSEncrypt();
        decrypter.setPrivateKey(priKey);
        let decryptedData = decrypter.decrypt(encryptedText);
        if (decryptedData) {
            $('#txt-encrypted-data').val('');
            $('#txt-simple-data').val(decryptedData);
        } else {
            alert('Invalid encrypted data/private-key');
        }
    });

    doc.on('click', '#btn-reset', function() {
        resetInputs();
    });

    function resetInputs() {
        $('#txt-public').val(publicKey);
        $('#txt-private').val(privateKey);
        $('#txt-simple-data').val(dummyData);
        $('#txt-encrypted-data').val('');
    }
});
